<div class="col-6 m-auto">
    <h1>{{title}}</h1>
    <form #loginForm="ngForm" (ngSubmit)="onSubmit()" class="col-8 m-auto">

        <div class="alert alert-danger" *ngIf="status=='error'">{{errorMessage}}</div>
        <div class="alert alert-success" *ngIf="status=='success'">Bienvenido {{identity.name}}</div>
        <p>
            <label for="email">E-mail</label>
            <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
             required  pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$">
             <span *ngIf="!email.valid && email.touched"> Introduce un E-mail válido</span>
        </p>
        <p>
            <label for="password">Contraseña</label>
            <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" required>
            <span *ngIf="!password.valid && password.touched"> Introduce la contraseña</span>
        </p>
        <p>
            <input type="submit" class="btn btn-lg btn-success" value="Entrar" [disabled]="!loginForm.form.valid">
        </p>
    </form>
</div>